<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] ?: array()) + array("_d0845bff5c" . "d0ddb5ed1d7" . "bd9db996f51" => base64_decode("c291cm" . "Nl"), "_6e38cb9e043a07cd69a" . "1711a6704c62a" => base64_decode("cGFyZ" . "W50X2" . "lk"));
use Claromentis\Core\Event\GenericEvent;


class AddFolderEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetSource()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_d0845bff" . "5cd0ddb5e" . "d1d7bd9db" . "996f51"]);
    }
    public function GetParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_6e38cb9e043a07cd69a1" . "711a6704c62a"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}